> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rebelfi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Venue

> GET /v1/venues/:id — Get a specific venue by ID

<Note>
  **Endpoint:** `GET https://api.rebelfi.io/v1/venues/:id`
</Note>

Retrieve a specific venue by ID.

### Path Parameters

| Parameter | Type     | Required | Description |
| --------- | -------- | -------- | ----------- |
| `id`      | `number` | Yes      | Venue ID    |

### Query Parameters

| Parameter                | Type      | Required | Description                                                                |
| ------------------------ | --------- | -------- | -------------------------------------------------------------------------- |
| `supportsGasSponsorship` | `boolean` | No       | When `true`, only returns strategies compatible with gas-sponsored wallets |

### Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://api.rebelfi.io/v1/venues/1" \
    -H "x-api-key: your_api_key"
  ```

  ```typescript SDK theme={null}
  const venue = await client.venues.get(1);
  ```
</CodeGroup>

### Example Response

```json theme={null}
{
  "id": 3,
  "name": "AAVE V3",
  "protocol": "aave-v3",
  "blockchain": "ethereum",
  "iconUrl": "https://cdn.rebelfi.io/venues/aave.svg",
  "status": "active",
  "strategies": [
    {
      "strategyId": 5,
      "name": "USDC Lending",
      "token": "USDC",
      "tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
      "apy": 0.052,
      "tvl": "2500000000000000",
      "minDeposit": "1000000",
      "maxDeposit": null,
      "status": "active",
      "supportsGasSponsorship": false
    }
  ]
}
```

### Errors

| Code              | Description                       |
| ----------------- | --------------------------------- |
| `VENUE_NOT_FOUND` | Venue with given ID doesn't exist |
